﻿package
{
	import flash.display.Stage
	import flash.display.Sprite
	import flash.events.Event
	
	public class Ball extends Sprite
	{
		private var _radius:Number = 0
		private var _mass:Number = 0
		private var _xSpeed:Number = 0
		private var _ySpeed:Number = 0
		
		public function Ball(mass:Number = 10.0, angle:Number = Math.PI, speed:Number = 10.0):void
		{
			this.mass = mass
			this._radius = this.width/2
			this.xSpeed = speed*Math.sin(angle)
			this.ySpeed = speed*Math.cos(angle)
		}
		
		public function get radius():Number
		{
			return this._radius
		}
		
		public function set mass(mass:Number):void
		{
			this._mass = mass
		}
		
		public function get mass():Number
		{
			return this._mass
		}
		
		public function set xSpeed(xSpeed:Number):void
		{
			this._xSpeed = xSpeed
		}
		
		public function get xSpeed():Number
		{
			return this._xSpeed
		}
		
		public function set ySpeed(ySpeed:Number):void
		{
			this._ySpeed = ySpeed
		}
		
		public function get ySpeed():Number
		{
			return this._ySpeed
		}
		
		public function update():void
		{
			this.x += _xSpeed
			this.y += _ySpeed
		}
	}
}